<?php
	
declare(strict_types=1);

namespace D3\ManufacturerInformation\Application\Controller\Admin;

use OxidEsales\Eshop\Application\Controller\Admin\AdminDetailsController;

class ManufacturerInfoLongdesc extends AdminDetailsController
{
	public function render()
	{
		parent::render();
		
		$this->_aViewData['edit'] = $oManufacturer = oxNew(\OxidEsales\Eshop\Application\Model\Manufacturer::class);
		
		$soxId = $this->_aViewData["oxid"] = $this->getEditObjectId();
		if (isset($soxId) && $soxId != "-1") {
			// load object
			$d3manufacturerlang = \OxidEsales\Eshop\Core\Registry::getConfig()->getRequestParameter("d3manufacturerlang");
			
			if (!isset($d3manufacturerlang)) {
				$d3manufacturerlang = $this->_iEditLang;
			}
			
			$this->_aViewData["d3manufacturerlang"] = $d3manufacturerlang;
			
			$oManufacturer->loadInLang($d3manufacturerlang, $soxId);
			

			
			//Disable editing for derived items
			if ($oManufacturer->isDerived()) {
				$this->_aViewData['readonly'] = true;
			}
			
			foreach (\OxidEsales\Eshop\Core\Registry::getLang()->getLanguageNames() as $id => $language) {
				$oLang = new \stdClass();
				$oLang->sLangDesc = $language;
				$oLang->selected = ($id == $this->_iEditLang);
				$this->_aViewData["otherlang"][$id] = clone $oLang;
			}
		}
		
		$this->_aViewData["editor"] = $this->generateTextEditor("100%", 280, $oManufacturer, "D3DESCRIPTION", "list.tpl.css");
		
		return "d3manufacturerlongdesc.tpl";
	}
	
	public function save()
	{
		parent::save();
	}
}